/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.Footer");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");
dojo.require("com.ibm.team.repository.web.client.init.InitializationData");
dojo.require("com.ibm.team.repository.web.ui.internal.Util");

/**
 * Provides the web UI's footer.
 */
(function() {
	 
var checkNotNull 			= net.jazz.ajax.toolbox.lang.checkNotNull;
var InitializationData 		= com.ibm.team.repository.web.client.init.InitializationData;
var Util					= com.ibm.team.repository.web.ui.internal.Util;
	 
dojo.declare("com.ibm.team.repository.web.ui.internal.Footer", [dijit._Widget, dijit._Templated], {
		
	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/templates/Footer.html"),
	
	postCreate: function() {
		if (location.href.indexOf("jazz.net") < 0)
			while (this._footerLinks.firstChild) this._footerLinks.removeChild(this._footerLinks.firstChild);
			
		this.inherited(arguments);
		
		setTimeout(dojo.hitch(this,this._attachLogoLink), 0);
			
//		var serverVersion = InitializationData.get("com.ibm.team.repository.service.serverInfoInitializer");
//		if (serverVersion != null) {
//			this.jazzServerVersion.parentNode.className = "server-version " + this.jazzServerVersion.parentNode.className;
//			this.jazzServerVersion.appendChild(document.createTextNode("Powered by Jazz Team Server Version " + serverVersion.version)); 
//		}
	},
	_attachLogoLink: function() {
		if (Util.isAdminUI())
			this._rightLogo.href="http://www.ibm.com/software/rational/";
		else {
			this._rightLogo.href="http://jazz.net/";
		}
	}
});

})();
